Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471225 - /sbin/rhn-satellite should be in /usr/sbin/rhn-satellite
Summary: /sbin/rhn-satellite should be in /usr/sbin/rhn-satellite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-12 15:03 UTC by Jan Pazdziora
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:32 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-11-12 15:03:33 UTC
Description of problem:

/sbin/rhn-satellite should be in /usr/sbin/rhn-satellite. We should not have stuff in /sbin which requires /usr to be mounted (to exist). And I'm pretty sure that running the Spacewalk needs stuff from /usr.

Version-Release number of selected component (if applicable):

spacewalk-admin-0.3.3-1.el5.sw

How reproducible:

Deterministic.

Steps to Reproduce:
1. ls /sbin/rhn-satellite /usr/sbin/rhn-satellite
  
Actual results:

ls: /usr/sbin/rhn-satellite: No such file or directory
/sbin/rhn-satellite

Expected results:

ls: /sbin/rhn-satellite: No such file or directory
/usr/sbin/rhn-satellite

Additional info:

Comment 1 Miroslav Suchý 2008-11-12 15:05:41 UTC
There is /sbin/rhn-sat-restart-silent as well.

Comment 2 Michael Mráka 2008-12-11 09:47:58 UTC
Fixed in git, commits
commit e3ba53ecbec535ae73b5cd1d86aaf30e82c79337
    Automatic commit of package [spacewalk-selinux] minor release [0.4.1-6].
commit 39260f1919f1ac1c34c8788747c1da429213a33a
    471225 - fixed path to rhn-sat-restart-silent
commit fe7e3c9eb367466a80330e613a3925ebfd38b293
    Automatic commit of package [spacewalk-java] release [0.4.7-1].
commit e2b055ebea174bcfcb15be7acf61dd5ddb67c15b
    471225 - fixed path to rhn-sat-restart-silent
commit f10496c0ade094d3618de8ce807f41f6f1e6477c
    Automatic commit of package [spacewalk-setup] release [0.4.8-1].
commit 68131db883796593a74288c10edb1dd879ecc932
    471225 - fixed path to rhn-satellite and rhn-sat-restart-silent
commit c74ab34378ae2e47d70a06689bfc32339778f42b
    Automatic commit of package [spacewalk-admin] release [0.4.5-1].
commit bd48bf71a6c74ec67adf8f1cc95e1282eb31b16e
    471225 - fixed path to rhn-satellite
commit 1539cbcc6c04e187a0657017b1cf1bca9aa9bd6c
    471225 - moved /sbin stuff to /usr/sbin

Comment 3 Jan Pazdziora 2009-01-15 11:12:44 UTC
Verified:

# ls -la /sbin/rhn-*
ls: /sbin/rhn-*: No such file or directory
# ls -la /usr/sbin/rhn-*
-rwxr-xr-x 1 root root 1361 Dec  5  2006 /usr/sbin/rhn-profile-sync
-rwxr-xr-x 1 root root 2670 Jan  9 13:43 /usr/sbin/rhn-satellite
-rwxr-xr-x 1 root root  959 Jan  9 13:43 /usr/sbin/rhn-sat-restart-silent
# ls /usr/sbin/rhn-* | xargs rpm -qf
rhn-client-tools-0.4.19-17.el5
spacewalk-admin-0.4.8-1.el5
spacewalk-admin-0.4.8-1.el5
#


Note You need to log in before you can comment on or make changes to this bug.